Subject: Re: WSL support.

From: Jacob MacDonald <[email-masked]>
Date: Thu, 11 Aug 2022 11:27:25 -0500

I'm also excited about the patch; I use Guix on WSL at work, with an
image I used Guix's Docker to create.

I just updated my WSL kernel to 5.15 and started seeing setuid errors
for binaries installed in /run/setuid-programs (sudo, passwd, etc.).
I've filed an upstream bug and suspect it has something to do with the
way WSL's init mounts file systems. Has anyone else encountered this
yet?

If not, and if you use WSL from the Windows Store, you might want to
delay your update.

Cheers,

Jacob.